Name:           python-grand-graph
Version:        0.7.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Graph database wrapper for non-graph datastores

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source grand_graph}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'grand-graph' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-grand-graph
Summary:        %{summary}

%description -n python3-grand-graph %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-grand-graph dynamodb,igraph,networkit,sql


%prep
%autosetup -p1 -n grand_graph-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dynamodb,igraph,networkit,sql


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-grand-graph -f %{pyproject_files}


%changelog
%autochangelog